package com.isu.gaswellwatch.dto;

import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MenuSortDTO {
    @NotNull(message = "id不能为空")
    private Long id;

    private Long parent;

    @NotNull(message = "顺序不能为空")
    private Integer sort;

    private List<Long> ancestors;

}
